Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 3.0.0-beta1
    • Fix Version/s: 3.0.0
    • Component/s: build, test
    • Labels:
      None
    • Target Version/s:
    • Hadoop Flags:
      Incompatible change, Reviewed
    • Release Note:
      Hide
      This patch changes the default build and test environment in the following ways:

      * Switch from Ubuntu "Trusty" 14.04 to Ubuntu "Xenial" 16.04
      * Switch from Oracle JDK 8 to OpenJDK 8
      * Adds OpenJDK 9 to the build environment
      Show
      This patch changes the default build and test environment in the following ways: * Switch from Ubuntu "Trusty" 14.04 to Ubuntu "Xenial" 16.04 * Switch from Oracle JDK 8 to OpenJDK 8 * Adds OpenJDK 9 to the build environment

      Description

      It's probably time to update the 3.0 Dockerfile to use Xenial given that Trusty is on life support from Ubuntu.

        Attachments

        1. HADOOP-14816.06.patch
          10 kB
          Allen Wittenauer
        2. HADOOP-14816.05.patch
          12 kB
          Allen Wittenauer
        3. HADOOP-14816.04.patch
          7 kB
          Allen Wittenauer
        4. HADOOP-14816.03.patch
          11 kB
          Allen Wittenauer
        5. HADOOP-14816.02.patch
          10 kB
          Allen Wittenauer
        6. HADOOP-14816.01.patch
          9 kB
          Allen Wittenauer
        7. HADOOP-14816.00.patch
          6 kB
          Allen Wittenauer

          Issue Links

            Activity

              People

              • Assignee:
                aw Allen Wittenauer
                Reporter:
                aw Allen Wittenauer
              • Votes:
                0 Vote for this issue
                Watchers:
                13 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: